mozu-validate-npm-package
node utility to validate that an npm package conforms to mozu style
Last updated 5 years ago by jzetlen .
MIT · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install mozu-validate-npm-package 
SYNC missed versions from official npm registry.

Mozu NPM Package Validator

Meant for internal use, to validate and confirm that an NPM package conforms to Mozu spec.

This includes:

(tbd)

Usage:

Install globally for convenience:

npm install -g mozu-validate-npm-package

And then call directly from the command line in a package directory:

~/package-in-development/ $ mozu-validate-npm-package

But the package itself requires that it be used as part of an npm script, so instead of running it directly, add it like this to your package:

~/package-in-development/ $ npm install --save-dev mozu-validate-npm-package

And then make sure that you run it in your prepublish step, or after a stable build, by adding this to the scripts in package.json:

"postci-build-stable": "mozu-validate-npm-package",
"prepublish": "npm run ci-build-stable"

Current Tags

  • 1.2.1                                ...           latest (5 years ago)

7 Versions

  • 1.2.1                                ...           5 years ago
  • 1.2.0                                ...           5 years ago
  • 1.1.0                                ...           5 years ago
  • 1.0.3                                ...           5 years ago
  • 1.0.2                                ...           5 years ago
  • 1.0.1                                ...           5 years ago
  • 1.0.0                                ...           5 years ago
Downloads
Today 0
This Week 0
This Month 0
Last Day 0
Last Week 0
Last Month 0
Dependencies (8)
Dev Dependencies (4)
Dependents (0)
None

Copyright 2014 - 2016 © taobao.org |